PHPのバージョンをあげました。

WordPress

ども、たきたきでっす。

めっちゃくちゃ久々の更新となってしまいました…w

久々にWordPressのサイトヘルスをチェックしてみると、

PHPのバージョンが古いと言われてしまいました。

ということで最新のPHPのインストールをしてみました。

# yum install -y --enablerepo=remi-php74 php which
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
epel/x86_64/metalink                                                                                                           | 5.5 kB  00:00:00
 * base: ty1.mirror.newmediaexpress.com
 * centosplus: ty1.mirror.newmediaexpress.com
 * epel: ftp.iij.ad.jp
 * extras: ty1.mirror.newmediaexpress.com
 * remi-php74: ftp.riken.jp
 * remi-safe: ftp.riken.jp
 * updates: ty1.mirror.newmediaexpress.com
base                                                                                                                           | 3.6 kB  00:00:00
centosplus                                                                                                                     | 2.9 kB  00:00:00
(中略)
Dependency Installed:
  libsodium.x86_64 0:1.0.18-1.el7                                         php-sodium.x86_64 0:7.4.8-2.el7.remi

Updated:
  php.x86_64 0:7.4.8-2.el7.remi

Dependency Updated:
  php-cli.x86_64 0:7.4.8-2.el7.remi                                                   php-common.x86_64 0:7.4.8-2.el7.remi
  php-fpm.x86_64 0:7.4.8-2.el7.remi                                                   php-gd.x86_64 0:7.4.8-2.el7.remi
  php-json.x86_64 0:7.4.8-2.el7.remi                                                  php-mbstring.x86_64 0:7.4.8-2.el7.remi
  php-mysqlnd.x86_64 0:7.4.8-2.el7.remi                                               php-pdo.x86_64 0:7.4.8-2.el7.remi
  php-pecl-imagick.x86_64 0:3.4.4-10.el7.remi.7.4                                     php-pecl-mcrypt.x86_64 0:1.0.3-1.el7.remi.7.4
  php-pecl-mysql.x86_64 0:1.0.0-0.23.20190415.d7643af.el7.remi.7.4                    php-pecl-zip.x86_64 0:1.19.0-1.el7.remi.7.4
  php-xml.x86_64 0:7.4.8-2.el7.remi                                                   php-xmlrpc.x86_64 0:7.4.8-2.el7.remi

Complete!

と1行コマンドを実行してインストール完了っぽい。

試しに、バージョンを確認すると、

# php -v
PHP 7.4.8 (cli) (built: Jul  9 2020 08:57:23) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies

無事に7.4系のインストールが出来た模様。

再度ヘルスチェックを確認すると、

大丈夫そうです!

コメント

タイトルとURLをコピーしました